Skip to main content
GET
/
api
/
external
/
virtual-bank-account
/
identification-type
Get identification type
curl --request GET \
  --url https://api-prod.blaaiz.com/api/external/virtual-bank-account/identification-type \
  --header 'Authorization: Bearer <token>'
{ "message": "Identification type retrieved successfully.", "data": { "label": "Bank Verification Number", "country": "NG", "customer_type": "individual" } }

Documentation Index

Fetch the complete documentation index at: https://docs.business.blaaiz.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.

Query Parameters

customer_id
string

Unique identifier of the customer. If provided, country and type are not required.

country
string

Two-letter country code (e.g., NG). Required if customer_id is not provided.

Required string length: 2
type
enum<string>

Customer type. Required if customer_id is not provided. Possible values: business, individual.

Available options:
business,
individual

Response

Identification type retrieved successfully.

message
string
required
data
object
required